Subject: Re: [bug#64907] [PATCH 0/2] gnu: Add rvvm support packages.

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 29 Aug 2023 16:24:05 -0700

On 2023-08-29, Vagrant Cascadian wrote:
> On 2023-07-27, Juliana Sims wrote:
>> These patches create specialized U-Boot and OpenSBI packages to use with RVVM by
>> applying RVVM's author's patches to those projects. Additionally, they build
>> this patched version of U-Boot into OpenSBI's `fw_payload.bin`, mimicking the
>> binary release from RVVM.
...
>> It's worth noting that opensbi-generic works fine with RVVM. However, it does
>> not provide `fw_payload.bin` - only `fw_jump.bin` - so this version provides
>> more flexibility. That said, opensbi-rvvm is 5.3 MB compared to
>> opensbi-generic's 1.3 MB. Because of that, I'm ambivalent about adding it. I
>> leave the decision on whether or not to include it entirely up to others;
>> there's no sense in throwing away work I already did if it may be useful.
>
> If it requires patches, I am a bit concerned about long-term
> maintenence... If it does not require patches, that does not seem like a
> huge increase, or an alternate build that also ships the fw_payload.bin
> file.

Thinking a little more, from what I recall, the whole point of
fw_jump.bin is so that you can dynamically specify the payload at
runtime ... why do we need a separate fw_payload.bin created at
build-time, if you can just pass a (potentially custom) payload at
runtime?

It has been a while since I have used these components for virtual riscv
systems, so my memory may be a little rusty or recent usage may have
changed... :)

live well,
  vagrant